{#
/**
 * @file
 * Theme override to display all the fields in a row.
 *
 * Available variables:
 * - view: The view in use.
 * - fields: A list of fields, each one contains:
 *   - content: The output of the field.
 *   - raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - class: The safe class ID to use.
 *   - handler: The Views field handler controlling this field.
 *   - inline: Whether or not the field should be inline.
 *   - wrapper_element: An HTML element for a wrapper.
 *   - wrapper_attributes: List of attributes for wrapper element.
 *   - separator: An optional separator that may appear before a field.
 *   - label: The field's label text.
 *   - label_element: An HTML element for a label wrapper.
 *   - label_attributes: List of attributes for label wrapper.
 *   - label_suffix: Colon after the label.
 *   - element_type: An HTML element for the field content.
 *   - element_attributes: List of attributes for HTML element for field content.
 *   - has_label_colon: A boolean indicating whether to display a colon after
 *     the label.
 *   - element_type: An HTML element for the field content.
 *   - element_attributes: List of attributes for HTML element for field content.
 * - row: The raw result from the query, with all data it fetched.
 *
 * @see template_preprocess_views_view_fields()
 */
#}

  {% set cate =  fields.speciality.content|render|striptags|trim %}
  {% if cate is not empty %}
   {% set cat_array = cate|split(',') %}
  {% endif %}
  
  {% set url_name1 =  fields.name.content|render|striptags|trim %}
  {% set url_name =  url_name1|lower|preg_replace('/[^\\w]+/', '-') %}
  {% set r_id =  fields.restaurant_id.content|render|striptags|trim %}
  
 <div class="strip">
	                <figure>
	                    <span class="ribbon off">-30%</span>
	                    <img src="{{ url('<front>') }}{{ base_path ~ directory }}/img/lazy-placeholder.png" data-src="{{ fields.image_url.content|render|striptags|trim }}" class="img-fluid lazy loaded"  alt="Restaurant in {{ url_name1 }}">
	                    
	                    <a href="{{ url('<front>') }}restaurant/{{url_name}}/{{ r_id }}" class="strip_info">
	                         {% if cat_array is iterable %}
                             <small>{{ cat_array[0] }}</small>
                          {% endif %}
	                        <div class="item_title">
	                           <h3>{{ fields.name.content }}</h3>
                              <small>{{ fields.address_line.content }}</small>
	                        </div>
	                    </a>
	                </figure>
	                 
 </div>

 
